import type Field from "../Field";
import type HasReplacementData from "../Interfaces/HasReplacementData";
/**
 * Conditions class.
 *
 * @since 1.0.0
 */
export default class Replacements {
    readonly field: Field;
    readonly replacements: HasReplacementData[];
    /**
     * Constuctor.
     *
     * @param form Form object.
     * @param conditions Conditions.
     *
     * @since 1.0.0
     */
    constructor(field: Field, replacements?: HasReplacementData[]);
    /**
     * Replace in field.
     *
     * @since 1.0.0
     */
    replace(): void;
}
